Bug 20222 - Custom install failure on Compaq DL360 with Smart5300
Custom install failure on Compaq DL360 with Smart5300
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-02 12:12 EST by dale gallagher
Modified: 2006-02-21 13:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:47:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dale gallagher 2000-11-02 12:12:35 EST
HARDWARE :

Compaq DL360
Dual PIII 800MHz/133
512MB RAM
5302 Smart Array Controller (5300)
2x 18.2 GB Ultra3 SCSI in RAID 1 config = 17GB

SUMMARY :

Standard server installation successful using text mode.

When selecting custom installation (text mode), failure occurs after
assigning mount points (after using fdisk)

MOUNT POINTS :

/boot (20MB)
/ (1.5GB)
swap (122MB)
/home (2500MB)
swap (122MB)
/home/sites (5.2GB)
swap (122MB)
/usr (5.2GB)
swap (122MB)
/var (1.8GB)
/tmp (500MB)

ERRORS TO CONSOLE :

install exited abnormally -- reveived signal 9
sending termination signals...done
disabling swap...
        /tmp/swap/cciss/c0d0p3)
        /tmp/swap/cciss/c0d0p6
        /tmp/swap/cciss/c0d0p8
        /tmp/swap/cciss/c0d0p1
unmounting filesystems...
        /mnt/sysimage
        /mnt/runtime
        /mnt/source umount failed (16)
        /dev/pts
        /proc
you may safely reboot your system

INSTALLATION DUMP :

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1472, in
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "fstab.py", line 715, in mountFilesystems
    raise SystemError, (errno, msg)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
size: 20384
fsystem: ext2
self: <fstab.NewtFstab instance at 820b0b8>
msg: Invalid argument
doFormat: 1
errno: 22
device: cciss/c0d0p1
instPath: /mnt/sysimage
mntpoint: /boot

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>
Comment 1 dale gallagher 2000-11-03 03:23:06 EST
OK - got the (custom) installation working using disk druid.
This implies that the issue could be an fdisk problem ??
We've experienced this on 8 other DL360's without any RAID controllers, which
reinforces my suspicion ..... fdisk is the culprit ??

Installing using disk druid isn't ideal, as disk druid makes the decisions as to
which partition goes where on the disk :(
Comment 2 Elliot Lee 2002-01-29 17:24:07 EST
installer dying is not an fdisk problem :)

Going to reassign this to anaconda where it belongs.
Comment 3 Jeremy Katz 2002-03-14 16:41:59 EST
Could you try either with the updates disk available for Red Hat Linux 7.0 or
with Red Hat Linux 7.2?  There have been many things fixed in this timeframe.
Comment 4 Michael Fulbright 2002-04-10 16:11:01 EDT
Closing due to inactivity, please reopen if you continue to have problems.
Comment 5 Red Hat Bugzilla 2006-02-21 13:47:48 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.